Subject: bug#50658: Error messages including function names violates coding conventions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Sep 2021 18:00:00 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 18 Sep 2021 07:54:26 -0700
> Cc: [email-masked]
> 
> While working on this, I realized that it is impossible to know if in
> something like:
> 
>     (error "frobnicator not available")
> 
> The 'frobnicator' part is a Lisp symbol (that can be in lower-case), or
> if it is a regular word (that must be capitalized).  It would obviously
> be helpful if our conventions could be unambiguous.
> 
> Perhaps we could add a requirement here, something like: a Lisp symbol
> must always be in `quotes', or behind ": "?

Yes, I think the idea is that the error message proper starts after
the colon.

> (I guess this would also affect the text we want to put in `(elisp)
> Documentation Tips'.)

Yes.